---
title: List
url: https://www.tines.com/docs/api/admin/ip_access_control/list/
updated: 2024-08-12T19:42:45+00:00
description: "List IP access control rules for the tenant. Please note that these only take effect if [IP access control](https://www.tines.com/docs/admin/ip-access-control/) is enabled."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [IP Access Control](https://www.tines.com/llm/docs/api/admin/ip_access_control.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/admin/ip_access_control/list/)*

## Description

List IP access control rules for the tenant. Please note that these only take effect if [IP access control](https://www.tines.com/docs/admin/ip-access-control/) is enabled.

## Request

HTTP Method: **GET**

### Field description

| Parameter   | Description                                                                                         |
| ----------- | --------------------------------------------------------------------------------------------------- |
| matching_ip | **Optional** An address or CIDR to filter rules and return only matching ones.                      |
| per_page    | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page        | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

### Sample request

<!-- cspell:disable -->

```bash

curl -X GET \
  https://<tenant-domain>/api/v1/admin/ip_access_control_rules?matching_ip=192.168.1.1 \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

<!-- cspell:enable -->

## Response

A successful request will return an an object with a list of IP access control rules.

### Field description

| Parameter   | Description                                          |
| ----------- | ---------------------------------------------------- |
| id          | IP access control rule ID.                           |
| ip          | IP address or CIDR range of the rule.                |
| description | Human-readable description of the rule.              |
| created_at  | Timestamp describing when the rule was created.      |
| updated_at  | Timestamp describing when the rule was last updated. |

### Sample response

```json
{
  "admin/ip_access_control_rules": [
    {
      "id": 1,
      "ip": "192.168.1.1",
      "description": "Example IP",
      "created_at": "2024-07-25T16:29:48Z",
      "updated_at": "2024-07-25T16:29:48Z"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/admin/ip_access_control_rules?matching_ip=192.168.1.1&per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
